libunixsocket-java_0.8.1-1+b1_amd64.deb


Advertisement

Description

libunixsocket-java - Unix socket API and bindings for Java

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libunixsocket-java_0.8.1-1+b1_amd64.deb
Package name libunixsocket-java
Package version 0.8.1
Package release 1+b1
Package architecture amd64
Package type deb
Category devel::lang:java devel::library implemented-in::java java role::devel-lib role::shared-lib
Homepage http://www.matthew.ath.cx/projects/java/
License -
Maintainer Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Download size 15.96 KB
Installed size 41.00 KB

Alternatives

Package Version Architecture Repository
libunixsocket-java_0.8.1-1_i386.deb 0.8.1 i386 Debian Main
libunixsocket-java - - -

Requires

Name Value
libc6 >= 2.2.5

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libunixsocket-java_0.8.1-1+b1_amd64.deb
Source Package libmatthew-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libunixsocket-java deb package:
    # sudo apt-get install libunixsocket-java

Files

Path
/usr/lib/jni/libunix-java.so
/usr/share/doc/libunixsocket-java/changelog.Debian.amd64.gz
/usr/share/doc/libunixsocket-java/changelog.Debian.gz
/usr/share/doc/libunixsocket-java/changelog.gz
/usr/share/doc/libunixsocket-java/copyright
/usr/share/java/unix-0.5.jar
/usr/share/java/unix.jar

Changelog

2018-05-07 - Thorsten Alteholz <debian@alteholz.de>
libmatthew-java (0.8.1-1) unstable; urgency=medium
* new upstream version (Closes: #897541)
* debian/control: add Salsa VCS URLs
* debian/control: bump standard to 4.1.4 (no changes)
2017-12-29 - Thorsten Alteholz <debian@alteholz.de>
libmatthew-java (0.8-2) unstable; urgency=medium
* debian/rules: Override JVERCFLAGS and use a supported source version. This
will fix the FTBFS with Java 9. (Closes: #873989)
Thanks to Markus Koschany for the patch!
* debian/control: bump standard to 4.1.3 (no changes)
* debian/control: use dh11
2016-11-01 - Thorsten Alteholz <debian@alteholz.de>
libmatthew-java (0.8-1) unstable; urgency=medium
* new upstream version
* fix broken debian/watch file
2016-10-15 - Thorsten Alteholz <debian@alteholz.de>
libmatthew-java (0.7.3-3) unstable; urgency=medium
* new maintainer (Closes: #762540)
* debian/control: bump standard to 3.9.8 (no changes)
2016-08-04 - Santiago Vila <sanvila@debian.org>
libmatthew-java (0.7.3-2) unstable; urgency=medium
* QA upload.
* Package is orphaned (Bug #762540), set Maintainer to "Debian QA Group".
* Switch to "3.0 (quilt)" source format.
* Apply patch from Michael Haggerty to use relative paths
in manifest file. Closes: #619890.
* Raise debhelper compat level to 9.
* Simplify debian/rules and put default-jdk-doc in Build-Depends.
* Remove cx/ath/matthew/debug/Debug.java in clean target, since it's
recreated during the build.
2010-08-05 - Matthew Johnson <mjj29@debian.org>
libmatthew-java (0.7.3-1) unstable; urgency=low
* New upstream release, fixes a memory leak (Closes: #590331)
2010-04-17 - Matthew Johnson <mjj29@debian.org>
libmatthew-java (0.7.2-3) unstable; urgency=low
* Use default-jdk-doc instead of classpath-doc (Closes: #567283)
* Fix some lintian warnings
* Don't build doc when only building arch: any packages (Closes: #561414)
2009-12-12 - Matthew Johnson <mjj29@debian.org>
libmatthew-java (0.7.2-2) unstable; urgency=low
* Convert to dh 7
* don't use default-jdk-builddep but default-jdk
2009-04-05 - Matthew Johnson <mjj29@debian.org>
libmatthew-java (0.7.2-1) unstable; urgency=low
* New Upstream Release
* Bump Standards-Version
* Bump debhelper compat
* Change to section java
2008-04-26 - Matthew Johnson <mjj29@debian.org>
libmatthew-java (0.7.1-1) unstable; urgency=low
* New Upstream Release (Closes: #476019)
* Change to use default-jdk-builddep (Closes: #477878)

See Also

Package Description
libunsafe-fences-java_1.0-1_all.deb wrapper library around the Java 8 fences API
libunsafe-mock-java_8.0-3_all.deb Java library providing backported sun.misc.Unsafe class from JDK 8
libunshield-dev_1.4.2-1_amd64.deb development files for libunshield
libunshield0_1.4.2-1_amd64.deb library to extract CAB files from InstallShield installers
libunwind-dev_1.2.1-9_amd64.deb library to determine the call-chain of a program - development
libunwind-setjmp0-dev_1.2.1-9_amd64.deb libunwind-based non local goto - development
libunwind-setjmp0_1.2.1-9_amd64.deb libunwind-based non local goto - runtime
libunwind8_1.2.1-9_amd64.deb library to determine the call-chain of a program - runtime
libupnp-dev_1.8.4-2_amd64.deb Portable SDK for UPnP Devices, version 1.8 (development files)
libupnp-doc_1.8.4-2_all.deb Documentation for the Portable SDK for UPnP Devices, version 1.8
libupnp-java-doc_1.0.4+triplea-1_all.deb Java library for Universal Plug aNd Play (upnp) - doc
libupnp-java_1.0.4+triplea-1_all.deb Java library for Universal Plug aNd Play (upnp)
libupnp13_1.8.4-2_amd64.deb Portable SDK for UPnP Devices, version 1.8 (shared library)
libupower-glib-dev_0.99.11-1_amd64.deb abstraction for power management - development files
libupower-glib3_0.99.11-1_amd64.deb abstraction for power management - shared library
Advertisement
Advertisement